diff -urpNX dontdiff linux-2.5.47/include/linux/atmdev.h linux-2.5.47-pci/include/linux/atmdev.h
--- linux-2.5.47/include/linux/atmdev.h	2002-10-01 03:06:27.000000000 -0400
+++ linux-2.5.47-pci/include/linux/atmdev.h	2002-11-16 21:47:04.000000000 -0500
@@ -205,7 +205,7 @@ struct atm_cirange {
 #undef __AAL_STAT_ITEMS
 #else
 
-#include <linux/sched.h> /* wait_queue_head_t */
+#include <linux/wait.h> /* wait_queue_head_t */
 #include <linux/time.h> /* struct timeval */
 #include <linux/net.h>
 #include <linux/skbuff.h> /* struct sk_buff */
diff -urpNX dontdiff linux-2.5.47/include/linux/blkdev.h linux-2.5.47-pci/include/linux/blkdev.h
--- linux-2.5.47/include/linux/blkdev.h	2002-11-14 10:52:17.000000000 -0500
+++ linux-2.5.47-pci/include/linux/blkdev.h	2002-11-16 22:01:32.000000000 -0500
@@ -2,7 +2,6 @@
 #define _LINUX_BLKDEV_H
 
 #include <linux/major.h>
-#include <linux/sched.h>
 #include <linux/genhd.h>
 #include <linux/list.h>
 #include <linux/pagemap.h>
diff -urpNX dontdiff linux-2.5.47/include/linux/input.h linux-2.5.47-pci/include/linux/input.h
--- linux-2.5.47/include/linux/input.h	2002-10-15 09:32:41.000000000 -0400
+++ linux-2.5.47-pci/include/linux/input.h	2002-11-16 21:59:01.000000000 -0500
@@ -734,8 +734,9 @@ struct ff_effect {
  * In-kernel definitions.
  */
 
-#include <linux/sched.h>
 #include <linux/devfs_fs_kernel.h>
+#include <linux/fs.h>
+#include <linux/timer.h>
 
 #define NBITS(x) ((((x)-1)/BITS_PER_LONG)+1)
 #define BIT(x)	(1UL<<((x)%BITS_PER_LONG))
diff -urpNX dontdiff linux-2.5.47/include/linux/mtd/flashchip.h linux-2.5.47-pci/include/linux/mtd/flashchip.h
--- linux-2.5.47/include/linux/mtd/flashchip.h	2002-10-01 03:07:36.000000000 -0400
+++ linux-2.5.47-pci/include/linux/mtd/flashchip.h	2002-11-16 21:21:17.000000000 -0500
@@ -17,7 +17,8 @@
  * happens to be in - so we don't have to care whether we're on 2.2, which
  * has asm/spinlock.h, or 2.4, which has linux/spinlock.h 
  */
-#include <linux/sched.h>
+#include <linux/spinlock.h>
+#include <linux/wait.h>
 
 typedef enum { 
 	FL_READY,
diff -urpNX dontdiff linux-2.5.47/include/linux/mtd/nand.h linux-2.5.47-pci/include/linux/mtd/nand.h
--- linux-2.5.47/include/linux/mtd/nand.h	2002-10-01 03:07:36.000000000 -0400
+++ linux-2.5.47-pci/include/linux/mtd/nand.h	2002-11-16 21:17:45.000000000 -0500
@@ -28,7 +28,10 @@
 #define __LINUX_MTD_NAND_H
 
 #include <linux/config.h>
-#include <linux/sched.h>
+#include <linux/spinlock.h>
+#include <linux/types.h>
+#include <linux/wait.h>
+#include <linux/mtd/mtd.h>
 
 /*
  * Searches for a NAND device
diff -urpNX dontdiff linux-2.5.47/include/linux/nfsd/cache.h linux-2.5.47-pci/include/linux/nfsd/cache.h
--- linux-2.5.47/include/linux/nfsd/cache.h	2002-10-31 11:23:26.000000000 -0500
+++ linux-2.5.47-pci/include/linux/nfsd/cache.h	2002-11-16 21:42:15.000000000 -0500
@@ -11,7 +11,8 @@
 #define NFSCACHE_H
 
 #ifdef __KERNEL__
-#include <linux/sched.h>
+#include <linux/in.h>
+#include <linux/uio.h>
 
 /*
  * Representation of a reply cache entry. The first two members *must*
diff -urpNX dontdiff linux-2.5.47/include/linux/parport.h linux-2.5.47-pci/include/linux/parport.h
--- linux-2.5.47/include/linux/parport.h	2002-10-01 03:07:39.000000000 -0400
+++ linux-2.5.47-pci/include/linux/parport.h	2002-11-16 21:50:26.000000000 -0500
@@ -8,7 +8,6 @@
 
 #ifndef _PARPORT_H_
 #define _PARPORT_H_
-#include <linux/sched.h>
 
 /* Start off with user-visible constants */
 
@@ -97,13 +96,14 @@ typedef enum {
 /* The rest is for the kernel only */
 #ifdef __KERNEL__
 
-#include <linux/wait.h>
+#include <linux/config.h>
+#include <linux/jiffies.h>
+#include <linux/proc_fs.h>
 #include <linux/spinlock.h>
+#include <linux/wait.h>
 #include <asm/system.h>
 #include <asm/ptrace.h>
 #include <asm/semaphore.h>
-#include <linux/proc_fs.h>
-#include <linux/config.h>
 
 #define PARPORT_NEED_GENERIC_OPS
 
